using System;
using System.Collections.Generic;
using System.Linq;

namespace DataAccess.Repository.Abstract {
	public interface IRepository<T, TId> : IDisposable where T : class {
		IQueryable<T> GetList();
		IQueryable<T> GetList(QueryBase<T> query);
	}
}
